> [!NOTE]
> **Note:** [Authorization](https://developers.google.com/workspace/calendar/api/v3/reference/events/instances#auth) optional.

Returns instances of the specified recurring event.
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/events/instances#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/calendar/v3/calendars/calendarId/events/eventId/instances
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `calendarId` | `string` | Calendar identifier. To retrieve calendar IDs call the [calendarList.list](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/list) method. If you want to access the primary calendar of the currently logged in user, use the "`primary`" keyword. |
| `eventId` | `string` | Recurring event identifier. |
| **Optional query parameters** |||
| `alwaysIncludeEmail` | `boolean` | Deprecated and ignored. A value will always be returned in the `email` field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided). |
| `maxAttendees` | `integer` | The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional. |
| `maxResults` | `integer` | Maximum number of events returned on one result page. By default the value is 250 events. The page size can never be larger than 2500 events. Optional. |
| `originalStart` | `string` | The original start time of the instance in the result. Optional. |
| `pageToken` | `string` | Token specifying which result page to return. Optional. |
| `showDeleted` | `boolean` | Whether to include deleted events (with `status` equals "`cancelled`") in the result. Cancelled instances of recurring events will still be included if `singleEvents` is False. Optional. The default is False. |
| `timeMax` | `datetime` | Upper bound (exclusive) for an event's start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset. |
| `timeMin` | `datetime` | Lower bound (inclusive) for an event's end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset. |
| `timeZone` | `string` | Time zone used in the response. Optional. The default is the time zone of the calendar. |

### Authorization

This request allows authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar.readonly` |
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.events.readonly` |
| `https://www.googleapis.com/auth/calendar.events` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.events.freebusy` |
| `https://www.googleapis.com/auth/calendar.events.owned` |
| `https://www.googleapis.com/auth/calendar.events.owned.readonly` |
| `https://www.googleapis.com/auth/calendar.events.public.readonly` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "calendar#events",
  "etag": etag,
  "summary": string,
  "description": string,
  "updated": datetime,
  "timeZone": string,
  "accessRole": string,
  "defaultReminders": [
    {
      "method": string,
      "minutes": integer
    }
  ],
  "nextPageToken": string,
  "nextSyncToken": string,
  "items": [
    events Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Type of the collection ("`calendar#events`"). |   |
| `etag` | `etag` | ETag of the collection. |   |
| `summary` | `string` | Title of the calendar. Read-only. |   |
| `description` | `string` | Description of the calendar. Read-only. |   |
| `updated` | `datetime` | Last modification time of the calendar (as a [RFC3339](https://tools.ietf.org/html/rfc3339) timestamp). Read-only. |   |
| `timeZone` | `string` | The time zone of the calendar. Read-only. |   |
| `accessRole` | `string` | The user's access role for this calendar. Read-only. Possible values are: - "`none`" - The user has no access. - "`freeBusyReader`" - The user has read access to free/busy information. - "`reader`" - The user has read access to the calendar. Private events will appear to users with reader access, but event details will be hidden. - "`writerWithoutPrivateAccess`" - The user has read and write access to the calendar. Private events will appear to users with writerWithoutPrivateAccess access, but event details will be hidden. - "`writer`" - The user has read and write access to the calendar. Private events will appear to users with writer access, and event details will be visible. - "`owner`" - The user has manager access to the calendar. This role has all of the permissions of the writer role with the additional ability to see and modify access levels of other users. <br /> Important: the `owner` role is different from the calendar's data owner. A calendar has a single data owner, but can have multiple users with `owner` role. <br /> |   |
| `defaultReminders[]` | `list` | The default reminders on the calendar for the authenticated user. These reminders apply to all events on this calendar that do not explicitly override them (i.e. do not have `reminders.useDefault` set to True). |   |
| `defaultReminders[].method` | `string` | The method used by this reminder. Possible values are: - "`email`" - Reminders are sent via email. - "`popup`" - Reminders are sent via a UI popup. Required when adding a reminder. | writable |
| `defaultReminders[].minutes` | `integer` | Number of minutes before the start of the event when the reminder should trigger. Valid values are between 0 and 40320 (4 weeks in minutes). Required when adding a reminder. | writable |
| `nextPageToken` | `string` | Token used to access the next page of this result. Omitted if no further results are available, in which case `nextSyncToken` is provided. |   |
| `items[]` | `list` | List of events on the calendar. |   |
| `nextSyncToken` | `string` | Token used at a later point in time to retrieve only the entries that have changed since this result was returned. Omitted if further results are available, in which case `nextPageToken` is provided. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.